package com.cardsrus.cardshop;

import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.interceptor.*;

import com.cardsrus.domain.GreetingCard;

@Stateless
public class CardShopBean implements CardShopRemote
{
    @PersistenceContext(unitName="cardshop") private EntityManager manager;

    @Interceptors(com.cardsrus.interceptors.Profiler.class)
    public void createGreetingCard(GreetingCard greetingCard)
    {
	manager.persist(greetingCard);
    }

    public GreetingCard findGreetingCard(int pKey)
    {
	return manager.find(GreetingCard.class, pKey);
    }

    public void removeGreetingCard(GreetingCard greetingCard)
    {
	manager.remove(greetingCard);
    }

    public void flushGreetingCard()
    {
	manager.flush();
	}

    public void mergeGreetingCard(GreetingCard greetingCard)
    {
	manager.merge(greetingCard);
	}
}
